From cec6ceb2f9c6d8db72a999cbad46457d4863ad9a Mon Sep 17 00:00:00 2001
From: Thomas Munro <thomas.munro@gmail.com>
Date: Tue, 9 Jul 2019 12:53:35 +1200
Subject: [PATCH] Pass queryEnv down to EvalPlanQual's EState.

Otherwise the executor can't see trigger transition tables during
EPQ evaluation.  Fixes bug #15900.  Back-patch to 10, where trigger
transition tables landed.

Author: Alex Aktsipetrov
Discussion: https://postgr.es/m/15900-bc482754fe8d7415%40postgresql.org
---
 src/backend/executor/execMain.c | 1 +
 1 file changed, 1 insertion(+)

diff --git a/src/backend/executor/execMain.c b/src/backend/executor/execMain.c
index 27f03455152..29e2681484c 100644
--- a/src/backend/executor/execMain.c
+++ b/src/backend/executor/execMain.c
@@ -2793,6 +2793,7 @@ EvalPlanQualStart(EPQState *epqstate, EState *parentestate, Plan *planTree)
 	estate->es_range_table_array = parentestate->es_range_table_array;
 	estate->es_range_table_size = parentestate->es_range_table_size;
 	estate->es_relations = parentestate->es_relations;
+	estate->es_queryEnv = parentestate->es_queryEnv;
 	estate->es_rowmarks = parentestate->es_rowmarks;
 	estate->es_plannedstmt = parentestate->es_plannedstmt;
 	estate->es_junkFilter = parentestate->es_junkFilter;
-- 
2.21.0

